#ifndef CRYPTOGRAPHY_HPP
#define CRYPTOGRAPHY_HPP

#include <cstdint>

class Buffer;

class Cryptography
{
public:
	Cryptography(std::string password);
	~Cryptography();
	void change_pass(std::string password);
	bool encrypt(Buffer *plain, Buffer *encrypted);
	bool decrypt(Buffer *encrypted, Buffer *decrypted);

private:
	std::string key;
};

#endif